<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" type="text/javascript"></script>
	<style type="text/css">
		

	</style>
	<script type="text/javascript">
	
	window.addEventListener("load",cargar);
	window.addEventListener("keydown",mover);

	let incrementoX=0;
	let incrementoY=0;

	function cargar(){
		dibujar();
		setInterval(movimiento,"100");
	}	

	function movimiento(){
		let punto = document.querySelector(".punto");

		punto.style.left=(parseInt(punto.style.left)+incrementoX)+"px";
		punto.style.top=(parseInt(punto.style.top)+incrementoY)+"px";

		if (parseInt(punto.style.left)<0 || parseInt(punto.style.top)<0 || parseInt(punto.style.left)>790 || parseInt(punto.style.top)>790) {

				alert("Perdiste");
				location.reload();
		}		

	}

	function dibujar(){
		let caja = document.querySelector("#principal>div");
		let punto;
		caja.innerHTML+='<div class="punto"> </div>';
		punto=document.querySelector(".punto");
		punto.style.left="0px";
		punto.style.top="0px";
	}

	function mover(){
		let techa = event.which;
		let punto=document.querySelector(".punto");

		switch (tecla) {
			case 37:
				incrementoX=-1;
				incrementoY=0;
				break;
			case 38:
				incrementoX=0;
				incrementoY=-1;
				break;
			case 39:
				incrementoX=1;
				incrementoY=0;
				break;
			case 40:
				incrementoX=0;
				incrementoY=1;
				break;
		}

		/*switch (tecla) {
			case 37:
				punto.style.left=(parseInt(punto.style.left)-1)+"px";
				break;
			case 38:
				punto.style.top=(parseInt(punto.style.top)-1)+"px";
				break;
			case 39:
				punto.style.left=(parseInt(punto.style.left)+1)+"px";
				break;
			case 40:
				punto.style.top=(parseInt(punto.style.top)+1)+"px";
				break;
		}

		if (parseInt(punto.style.left)<0 || parseInt(punto.style.top)<0 || parseInt(punto.style.left)>790 || parseInt(punto.style.top)>790) {

				alert("Perdiste");
				location.reload();
		}*/
	}


	</script>
</head>
<body>
	
</body>
</html>